# Steps步骤条

### 介绍
用于展示操作流程的各个环节，让用户了解当前的操作在整体流程中的位置

###效果图
![效果图](https://img.tanjiu.cn/home/M72SJ3SepSRE5dCiWCDnJA58hjPWHwcE.png "步骤条效果图")

### 引入
在app.json或页面配置json中引入
```
"usingComponents": {
    "xt-steps": "@xtdev/xt-miniprogram-ui/xt-steps",
}
```

## 代码演示

### 默认模式，横向展示
![效果图](https://img.tanjiu.cn/home/2p7XNCtEBbmNPW6y4fb2Ny5MWTGkbkbA.png "步骤条效果图")

```
<xt-steps steps="{{steps}}" active="{{active}}"></xt-steps>
```

### 默认模式，纵向展示
![效果图](https://img.tanjiu.cn/home/eK5bdXE7JYWwxprNhA6FrJppfiTw4nBH.png "步骤条效果图")

```
<xt-steps direction="vertical" steps="{{steps}}" active="{{active}}"></xt-steps>
```

### 简约模式，横向展示
![效果图](https://img.tanjiu.cn/home/eyynm3HtySHti4PTZnxx6JHr8WsECTeF.png "步骤条效果图")
```
<xt-steps type="brief" steps="{{steps}}" active="{{active}}"></xt-steps>
```

### 简约模式，纵向展示
![效果图](https://img.tanjiu.cn/home/FyaeMK52WetmZemF82RbQFmTTffJ5cjb.png "步骤条效果图")
```
<xt-steps type="brief" direction="vertical" steps="{{steps}}" active="{{active}}"></xt-steps>
```

##API

#### xt-steps props

| 参数      | 说明 |  类型 | 默认值 |
| ----------- | ----------- | ---------- | ---------- |
| steps      | 步骤配置集合 | `stepsItem[]` | [] |
| active   | 当前步骤  | `Number` | 0  |
| type   | 当前步骤，可选值static、brief  | `String` | static |
| direction   | 展示方向，可选值horizontal、vertical  | `String` | horizontal |

#### stepsItem Props

| 参数      | 说明 | 类型 |
| ----------- | ----------- | ----------- |
| title      | 标题 | `String` |
| desc   | 副标题  | `String` |